package jalview.ws.api;

import jalview.datamodel.AlignmentAnnotation;
import jalview.datamodel.SequenceI;
import jalview.ws.gui.AnnotationWsJob;
import jalview.ws.jws2.AbstractJabaCalcWorker;
import jalview.ws.params.ArgumentI;
import jalview.ws.params.WsParamSetI;

import java.util.List;

public interface SequenceAnnotationServiceI extends JalviewWebServiceI
{


  /**
   * submit sequences to service with no parameters, or preset or parameter set.
   * Nb- almost the same as the 'align' method in the Msa service :)
   * 
   * @param seqs
   * @param preset
   * @param paramset
   * @return
   * @throws Throwable
   */
  JobId submitToService(List<SequenceI> seqs, WsParamSetI preset,
          List<ArgumentI> paramset) throws Throwable;

  /**
   * todo: move to SequenceAnnotationResult
   * 
   * @param running
   * @param abstractJabaCalcWorker
   * @return
   */
  List<AlignmentAnnotation> getAlignmentAnnotation(AnnotationWsJob running,
          AbstractJabaCalcWorker abstractJabaCalcWorker) throws Throwable;


}
